Frage Mount-Fehler: "unbekanntes Dateisystem 'exfat'"


Beim Versuch, ein Exfat-Dateisystem zu mounten, erhalte ich folgende Fehlermeldung:

Error mounting /dev/sda6 at /media/gkp/Backup: Command-line 
`mount -t "exfat" -o "uhelper=udisks2,nodev,nosuid" "/dev/sda6" "/media/gkp/Backup"' 
exited with non-zero exit status 32: mount: unknown filesystem type 'exfat'

Exfat wird auf einigen USB-Sticks und Kamera-SD-Karten verwendet. Was kann ich tun, um diese Art von Dateisystem zu mounten?


258
2017-10-23 08:57


Ursprung


Bitte geben Sie die Version von Ubuntu an, die Sie verwenden. Wie Sie sehen können, gibt es mehr als eine Antwort für Ubuntu. - Rinzwind
siehe auch askubuntu.com/a/85459/20972 (insb. für 13.10) - rogerdpack
Ubuntu 14.04 macht das. - SDsolar
In meinem Fall musste ich auch das Universum-Repository hinzufügen: sudo add-apt-repository universe  sudo apt-get update - Ben Creasy


Antworten:


Dieser Fehler tritt auf, weil das exfat-Dateisystem standardmäßig nicht in Ubuntu installiert ist. exFAT ist urheberrechtlich geschützt und von Microsoft patentiert.

Ubuntu 13.10 oder höher

Seit Ubuntu 13.10 befindet sich dieses Paket im Haupt-Repository. Einfach installieren exfat-fuse und exfat-utils:

sudo apt-get install exfat-fuse exfat-utils

Ubuntu 12.04

Für Ubuntu 13.04 und niedriger benötigen Sie einen PPA, um das zu installieren exfat Unterstützung. Installationsverfahren:

sudo apt-add-repository ppa:relan/exfat
sudo apt-get update
sudo apt-get install fuse-exfat

Wenn Sie den Fehler sehen gpg: "tag:launchpad.net:2008:redacted" not a key ID: skipping während der apt-add-repository Schritt, dann müssen Sie den Signaturschlüssel manuell installieren und den apt-get update und apt-get install Schritte danach:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 4DF9B28CA252A784

In der Tat


392
2017-10-23 10:21



sieht aus wie für 13.10 Sie brauchen nicht einmal den ppa es ist nur sudo apt-get install exfat-fuse Ref: askubuntu.com/a/85459/20972 - rogerdpack
:) und danach sudo ntfsfix / dev / sdb1 hilf mir mount zu bekommen. warte für einige Sekunden, es könnte Zeit für die Montage. - CoDe
+1. Unter Ubuntu 14.04 wird kein PPA benötigt. Ich war in der Lage sudo apt-get install exfat-fuse und nach der Installation, meine 64GB SD CARD montiert, sobald ich es eingesteckt habe. - Drew Noakes
Es funktioniert auch in Ubuntu 15.10! - Luis Lobo Borobia
sudo apt-get install exfat-fuse exfat-utils Funktioniert am 16.04! - Cat